Bug 243980 - (pbm2l2030-review) Review Request: pbm2l2030 - Converts PBM stream to Lexmark 2030 printer language
Review Request: pbm2l2030 - Converts PBM stream to Lexmark 2030 printer language
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Package Reviews List
: HardwareEnablement
Depends On:
  Show dependency treegraph
Reported: 2007-06-13 02:48 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-04 07:12:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
wtogami: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-06-13 02:48:30 EDT
Spec URL: http://people.redhat.com/lkundrak/SPECS/pbm2l2030.spec
SRPM URL: http://people.redhat.com/lkundrak/SRPMS/pbm2l2030-1.4-1.src.rpm
Description: Converts PBM stream to Lexmark 2030 printer language

This is a filter to convert pbmraw data such as produced by ghostscript to
the printer language of Lexmark 2030 printers.  It is meant to be used
by the PostScript Description files of the drivers from the foomatic package.

Note: This package is a part of the ongoing effort to extend hardware
support by fixing the foomatic drivers that actually refer to external

This package is kind of orphaned -- original upstream web site and mirror
are no longer reachable. Even though the package is in solid and
functional state and widely used also by other operating system vendors
to maintain hardware compatibility. Please take this into account when
reviewing the package, there's nothing you can compare the checksum
of the tarball included to -- consider this package to be upstream.
Comment 1 Lubomir Kundrak 2007-06-20 16:35:20 EDT
New Package CVS Request
Package Name: pbm2l2030
Short Description: Converts PBM stream to Lexmark 2030 printer language
Owners: lkundrak@redhat.com
Branches: FC-6 F-7
Comment 2 Josh Boyer 2007-06-20 16:53:41 EDT
this hasn't been properly reviewed yet
Comment 3 Marek Mahut 2007-06-29 16:40:23 EDT
+ source files match upstream:
      2a1e36314c2028c29352f66b4bda046e  /usr/src/redhat/SOURCES/pbm2l2030-1.4.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ license field matches the actual license.
+ license is open source-compatible. 
+ latest version is being packaged.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane:
 [root@storm pbm]# rpm -qp --provides
 pbm2l2030 = 1.4-1.fc8
 [root@storm pbm]# rpm -qp --requires
 rpmlib(CompressedFileNames) <= 3.0.4-1
 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
 [root@storm pbm]# 
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.

Comment 4 Lubomir Kundrak 2007-07-04 07:12:43 EDT
Much thanks Marek, Josh, Warren. The package was imported into CVS.

Note You need to log in before you can comment on or make changes to this bug.